<app-nav-bar [type] = " 'merchant' ">
    <div *ngIf="!companyData" class="noCompany">
        <p>
            Lo sentimos, con cuenta con ninguna empresa registrada. Si desea registrar una puede hacerlo 
            dando click en "Comenzar ahora"
        </p> <br>
        <button class="close" (click) ="registerCompany()">Comenzar ahora</button>
    </div>
    <div  *ngIf="companyData" class="information">
        <div class="infoHeader">
            <h1> {{ companyData.commercialInfo.name }}</h1>
            <img src="{{ companyData.commercialInfo.logo }}" alt="">
        </div> 
        <div class="contact">
            <div>
                <form [formGroup]="CommercialInfoForm" class="form">

                    <mat-form-field class="nextInput">
                        <mat-label>Nombre de la empresa</mat-label>
                        <input matInput formControlName="name" placeholder="Nombre de la empresa" [disabled]="true">
                    </mat-form-field>
    
                    <br>
    
                    <mat-form-field class="nextInput">
                        <mat-label>Sitio web de la empresa</mat-label>
                        <input matInput formControlName="webUrl" placeholder="Sitio web de la empresa" disabled>
                      </mat-form-field>
    
                      <br>
    
                      <mat-form-field class="nextInput">
                        <mat-label>Email de atención a clientes</mat-label>
                        <input matInput formControlName="contactMail" placeholder="Email de atención a clientes" disabled>
                      </mat-form-field>
    
                      <br>
    
                      <mat-form-field class="nextInput">
                        <mat-label>Teléfono de atención a clientes</mat-label>
                        <input matInput formControlName="contactPhone" placeholder="Teléfono de atención a clientes" disabled>
                      </mat-form-field>
    
                </form>
            </div>
            <div class="buttons">
                <button class="btn" *ngIf="!isEdit"  (click)="enableEdit()">Editar datos</button>
                <button class="btn" *ngIf="isEdit" (click)="saveChanges()" >Guardar cambios</button>
                <button class="btn" (click)="disableCompany()" >Desactivar empresa</button>
            </div>
        </div>
    </div>
</app-nav-bar>